- Main Page
- Related Pages
- Modules
- Files

Functions
GLM_GTX_matrix_operation
GTX Extensions (Experimental)

## Functions
template<typename valType >
detail::tmat2x2< valType > | diagonal2x2 (detail::tvec2< valType > const &v)
template<typename valType >
detail::tmat2x3< valType > | diagonal2x3 (detail::tvec2< valType > const &v)
template<typename valType >
detail::tmat2x4< valType > | diagonal2x4 (detail::tvec2< valType > const &v)
template<typename valType >
detail::tmat3x2< valType > | diagonal3x2 (detail::tvec2< valType > const &v)
template<typename valType >
detail::tmat3x3< valType > | diagonal3x3 (detail::tvec3< valType > const &v)
template<typename valType >
detail::tmat3x4< valType > | diagonal3x4 (detail::tvec3< valType > const &v)
template<typename valType >
detail::tmat4x2< valType > | diagonal4x2 (detail::tvec2< valType > const &v)
template<typename valType >
detail::tmat4x3< valType > | diagonal4x3 (detail::tvec3< valType > const &v)
template<typename valType >
detail::tmat4x4< valType > | diagonal4x4 (detail::tvec4< valType > const &v)

## Detailed Description

Build diagonal matrices from vectors.

<glm/gtx/matrix_operation.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tmat2x2<valType> glm::diagonal2x2 | ( | detail::tvec2< valType > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat2x3<valType> glm::diagonal2x3 | ( | detail::tvec2< valType > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat2x4<valType> glm::diagonal2x4 | ( | detail::tvec2< valType > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat3x2<valType> glm::diagonal3x2 | ( | detail::tvec2< valType > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat3x3<valType> glm::diagonal3x3 | ( | detail::tvec3< valType > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat3x4<valType> glm::diagonal3x4 | ( | detail::tvec3< valType > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat4x2<valType> glm::diagonal4x2 | ( | detail::tvec2< valType > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat4x3<valType> glm::diagonal4x3 | ( | detail::tvec3< valType > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat4x4<valType> glm::diagonal4x4 | ( | detail::tvec4< valType > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.